Package com.sun.speech.freetts.en.us

# Class FeatureProcessors

java.lang.Object
com.sun.speech.freetts.en.us.FeatureProcessors

public class FeatureProcessors extends Object
Provides the set of feature processors that are used by this language as part of the CART processing.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FeatureProcessors.Accented`
Checks to see if the given syllable is accented.
`static class`
`FeatureProcessors.AccentedSylIn`
Counts the number of accented syllables since the last major break.
`static class`
`FeatureProcessors.Gpos`
Returns a guess of the part-of-speech.
`static class`
`FeatureProcessors.LastAccent`
Find the last accented syllable This is a feature processor.
`static class`
`FeatureProcessors.MonthRange`
Returns true ("1") if the given item is a number between 0 and 32 exclusive, otherwise, returns "0".
`static class`
`FeatureProcessors.NumDigits`
Returns the length of the string.
`static class`
`FeatureProcessors.PH_CPlace`
Return consonant cplace l-labial a-alveolar p-palatal b-labio_dental d-dental v-velar This is a feature processor.
`static class`
`FeatureProcessors.PH_CType`
Return consonant type s-stop f-fricative a-affricative n-nasal * l-liquid This is a feature processor.
`static class`
`FeatureProcessors.PH_CVox`
Return consonant voicing +=on -=off This is a feature processor.
`static class`
`FeatureProcessors.PH_VC`
Return vowel or consonant +=on -=off This is a feature processor.
`static class`
`FeatureProcessors.PH_VFront`
Return vowel frontness 1-front 2-mid 3-back This is a feature processor.
`static class`
`FeatureProcessors.PH_VHeight`
Return vowel height 1-high 2-mid 3-low This is a feature processor.
`static class`
`FeatureProcessors.PH_VLength`
Return vowel length s-short l-long d-dipthong a-schwa This is a feature processor.
`static class`
`FeatureProcessors.PH_VRnd`
Return vowel rnd (lip rounding) lip rounding +=on -=off This is a feature processor.
`static class`
`FeatureProcessors.PosInSyl`
Finds the position of the phoneme in the syllable This is a feature processor.
`static class`
`FeatureProcessors.PositionType`
Classifies the the syllable as single, initial, mid or final.
`static class`
`FeatureProcessors.SegCodaFric`
Checks for fricative This is a feature processor.
`static class`
`FeatureProcessors.SegCodaGlide`
Checks for coda glide This is a feature processor.
`static class`
`FeatureProcessors.SegCodaNasal`
Checks for coda nasal This is a feature processor.
`static class`
`FeatureProcessors.SegCodaStop`
Checks for coda stop This is a feature processor.
`static class`
`FeatureProcessors.SegmentDuration`
Returns the duration of the given segment This is a feature processor.
`static class`
`FeatureProcessors.SegOnsetCoda`
Checks for onset coda This is a feature processor.
`static class`
`FeatureProcessors.SegOnsetFric`
Checks for fricative This is a feature processor.
`static class`
`FeatureProcessors.SegOnsetGlide`
Checks for onset glide This is a feature processor.
`static class`
`FeatureProcessors.SegOnsetNasal`
Checks for onset nasal This is a feature processor.
`static class`
`FeatureProcessors.SegOnsetStop`
Checks for onset stop This is a feature processor.
`static class`
`FeatureProcessors.StressedSylIn`
Counts the number of stressed syllables since the last major break.
`static class`
`FeatureProcessors.StressedSylOut`
Counts the number of stressed syllables until the next major break.
`static class`
`FeatureProcessors.SubPhrases`
Counts the number of phrases before this one.
`static class`
`FeatureProcessors.SylBreak`
Determines the break level after this syllable This is a feature processor.
`static class`
`FeatureProcessors.SylCodaSize`
Determines the coda size This is a feature processor.
`static class`
`FeatureProcessors.SylIn`
Counts the number of stressed syllables since the last major break.
`static class`
`FeatureProcessors.SylOnsetSize`
Determines the onset size of this syllable This is a feature processor.
`static class`
`FeatureProcessors.SylOut`
Counts the number of stressed syllables since the last major break.
`static class`
`FeatureProcessors.TokenPosGuess`
Attempts to guess the part of speech.
`static class`
`FeatureProcessors.WordBreak`
Determines the word break.
`static class`
`FeatureProcessors.WordNumSyls`
Returns as an Integer the number of syllables in the given word.
`static class`
`FeatureProcessors.WordPunc`
Determines the word punctuation.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getPhoneFeature(Item item, String featureName)`
Gets the phoneset feature with the given name
`static String`
`wordBreak(Item item)`
Classifies the type of word break
`static String`
`wordPunc(Item item)`
Gets the punctuation associated with the word

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPhoneFeature

public static String getPhoneFeature(Item item, String featureName)
Gets the phoneset feature with the given name

Parameters:
  `item` - item the phoneme of interest
  `featureName` - the feature of interest
Returns:
  the phone feature for the item

### wordBreak

public static String wordBreak(Item item) throws ProcessException
Classifies the type of word break

Parameters:
  `item` - the item to process
Returns:
  "4" for a big break, "3" for a break; otherwise "1"
Throws:
  `ProcessException` - if an exception occurred during the processing

### wordPunc

public static String wordPunc(Item item) throws ProcessException
Gets the punctuation associated with the word

Parameters:
  `item` - the word to process
Returns:
  the punctuation associated with the word
Throws:
  `ProcessException` - if an exception occurred during the processing